CMAP_TRACK_DELETE(3)

NAME

cmap_track_delete - Remove tracking of values in CMAP

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_track_delete (cmap_handle_t handle, cmap_track_handle_t track_handle);

DESCRIPTION

The cmap_track_delte function is used to remove tracking of values changed in CMAP. The handle argument is connection to CMAP database obtained by calling cmap_initialize(3) function. track_handle argument is iterator handle obtained by cmap_track_add(3) function.

RETURN VALUE
This call returns the CS_OK value if successful. CS_ERR_BAD_HANDLE error is returned when track_handle is invalid.

SEE ALSO
cmap_track_add(3), cmap_initialize(3), cmap_overview(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task